
QGIS Application - Bug report #12141

Map Tips HTML: images added with <img src> are only shown if source is a local file

2015-02-06 01:37 AM - Ming Shiuan Li

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 20335

Description

1.html img tag has failed

As shown in snap.jpg,

KML Description field of "Tag" feature is:

<img src="http://qgis.osgeo.org/en/_static/images/about-top.png", WIDTH="400"/>

but it didn't work at all.

2.Is there any substitution for QGIS v2.6.1?

Related issues:

Duplicated by QGIS Application - Bug report # 15658: map tips does not show i... Closed 2016-10-04

History

#1 - 2015-02-07 02:10 AM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to master

- Subject changed from QGIS Map Tips HTML <img src> problem to Map Tips HTML: images added with <img src> are only shown if source is a local 

file

- Category set to Map Canvas

it seems it works only if the source of the image is a local file, it doesn't work if the source of the image is a http address.

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-11-28 12:53 PM - Alexander Bruy

- Description updated

- Status changed from Open to Closed

Works fine in master. See also #15658

#4 - 2017-11-28 12:53 PM - Alexander Bruy
- Duplicated by Bug report #15658: map tips does not show images correctly anymore... on Linux added

#5 - 2017-11-30 04:33 AM - Giovanni Manghi

- Resolution set to duplicate

Files

Snap1.jpg 64.2 KB 2015-02-06 Ming Shiuan Li

Snap2.jpg 324 KB 2015-02-06 Ming Shiuan Li

Snap7.jpg 137 KB 2015-02-06 Ming Shiuan Li
